Bug 20383 - Hide link to plugin management if plugins are not enabled
Summary: Hide link to plugin management if plugins are not enabled
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-13 10:10 UTC by Owen Leonard
Modified: 2018-04-24 13:14 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20383: Hide link to plugin management if plugins are not enabled (2.51 KB, patch)
2018-03-13 10:32 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20383: Hide link to plugin management if plugins are not enabled (2.65 KB, patch)
2018-03-13 16:46 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 20383: Hide link to plugin management if plugins are not enabled (2.72 KB, patch)
2018-03-18 07:43 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-03-13 10:10:06 UTC
The administration home page shows a link to plugins management if the user has permission to manage plugins. It should also check whether plugins are enabled. If plugins are disabled there isn't anything to administer.
Comment 1 Owen Leonard 2018-03-13 10:32:17 UTC Comment hidden (obsolete)
Comment 2 Séverine Queune 2018-03-13 16:46:15 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2018-03-18 07:43:25 UTC
Created attachment 73071 [details] [review]
Bug 20383: Hide link to plugin management if plugins are not enabled

This patch adds a check in admin-home.pl to see whether plugins are
enabled. If plugins are disabled, the link to plugins management is
hidden even if the user has plugin management permission.

To test, view the administration home page with plugins enabled and
disabled via the enable_plugins flag in the Koha configuration file.
Also test using users with different plugins permissions:

- Plugins enabled
  - CAN_user_plugins = 1
    -> Plugins link appears
  - CAN_user_plugins = 0
    -> Plugins link hidden

- Plugins disabled
  - CAN_user_plugins = 1,
  - CAN_user_plugins = 0
    -> Plugins link hidden

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2018-03-19 18:32:06 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2018-04-24 01:34:03 UTC
Awesome work all, backported to stable for 17.11.05
Comment 6 Fridolin SOMERS 2018-04-24 13:14:57 UTC
Pushed to 17.05.x for 17.05.11